Bug 125674 - Standby does not work with IBM ThinkPad T41p
Standby does not work with IBM ThinkPad T41p
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Depends On:
  Show dependency treegraph
Reported: 2004-06-09 17:31 EDT by Holger Eilhard
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-15 13:48:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of lspci -v (5.33 KB, text/plain)
2004-06-09 17:34 EDT, Holger Eilhard
no flags Details

  None (edit)
Description Holger Eilhard 2004-06-09 17:31:25 EDT
Description of problem:
Standby does not work on work on my T41p. Pushing Fn+F4 causes nothing
to happen. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Press Fn+F4
Actual results:

Expected results:
system going into standby
Comment 1 Holger Eilhard 2004-06-09 17:34:35 EDT
Created attachment 101014 [details]
Output of lspci -v
Comment 2 Holger Eilhard 2004-06-15 13:48:53 EDT
Kernel parameter acpi=off does the job in latest kernel (2.6.6-1.435).
Comment 3 Dimitris 2004-08-02 22:00:42 EDT
With ACPI enabled you can suspend with this command:

echo 3 >/proc/acpi/sleep

the Fn-F4 key does not work because it requires some application
to listen for the key. there is a thinkpad daemon which can listen
for all thinkpad-related keys. i think you can find it in Dag's
repository for FC1 and FC2.
Comment 4 Holger Eilhard 2004-08-03 10:10:36 EDT
"echo 3 >/proc/acpi/sleep" doesn't work for me. Blanks the screen,
writes some text and comes back with a whacked X screen.
Comment 5 Dimitris 2004-08-08 03:03:23 EDT
Oh, i forgot to mention that i got that working with kernel:

Might be worth a try upgrading to that kernel.

Make sure you've got acpid running, and not apm.

Note You need to log in before you can comment on or make changes to this bug.